//******************************************************************************
//! @file $RCSfile: eeprom_lib.c,v $
//!
//! Copyright (c) 2009 Atmel.
//!
//! ۸т̎gpATMEL̍ŏIgpҋ_񂪕KvłB
//! 쌠ʒmɂĂlicense.txtǂłB
//!
//! @brief ̧قAT90CAN128/64/32ATmega16M1/32M1/32C1/64M1/64C1EEPROM
//!		   sSĂ̌^ϸۂ܂݂܂B
//!
//! ̧وȉŊmFĂ܂B
//! - AVRStudio 4.15.623,
//! - IAR AVRpC/C++߲ 5.20.1 (5.20.1.50092)
//!
//! @version $Revision: 3.00 $ $Name: jtellier $
//!
//! @todo
//! @bug
//******************************************************************************

#ifndef _EEPROM_LIB_H_
#define _EEPROM_LIB_H_

//_____ ݸٰ ________________________________________________________________

#include "config.h"
#include "eeprom_drv.h"

//_____ ϸ ____________________________________________________________________

//_____ ` ___________________________________________________________________

//_____ 錾 ___________________________________________________________________

//------------------------------------------------------------------------------
//  @fn eeprom_rd_byte
//!
//! ̊֐64K޲Ă܂łEEPROM޲ēǂݍ݂܂B
//!
//! @warning
//!
//! @param:		addr_byte	EEPROM޲Ăǂޱڽ
//!
//! @return:	EEPROMœǂ񂾒l
extern U8 eeprom_rd_byte(U16 addr_byte);

//------------------------------------------------------------------------------
//  @fn eeprom_wr_byte
//!
//! ̊֐64K܂łEEPROM޲ď݂܂B
//!
//! @warning
//!
//! @param:	addr_byte	޲ĂEEPROM̱ڽ
//!			value		EEPROMɏ߂̒l
//!
//! @return	Ȃ
extern void eeprom_wr_byte(U16 addr_byte, U8 value);

//------------------------------------------------------------------------------
//  @fn eeprom_rd_block
//!
//! ̊֐EEPROM65535޲(64K޲-1)܂ł̓ǂݍ݂܂B
//!
//! @warning:	1 - ̊֐͊S64K޲Ăڽwł܂񂪁A޲64K
//!					޲Ă܂ł̓]ɏՕ邱Ƃł܂B
//!
//! @param:	src		EEPROMްǂފJnڽ
//!			*dest	ް̱ڽ
//!			n		ǂ޲Đ
//!
//! @return	Ȃ
extern void eeprom_rd_block(U16 src, U8* dest, U16 n);

//------------------------------------------------------------------------------
//  @fn eeprom_wr_block
//!
//! ̊֐EEPROM65535޲(64K޲-1)܂ł݂̏܂B
//!
//! @warning:	1 - ̊֐͊S64K޲Ăڽwł܂񂪁A޲64K
//!					޲Ă܂ł̓]ɏՕ邱Ƃł܂B
//!
//! @param:	*src	ް̱ڽ
//!			dest	ްEEPROM̊Jnڽ
//!			n		޲Đ
//!
//! @return	Ȃ
extern void eeprom_wr_block(U8* src, U16 dest, U16 n);

//------------------------------------------------------------------------------
//  @fn eeprom_full_erase
//!
//! ̊֐EEPROMŜ܂B
//!
//! @warning	Ȃ
//!
//! @param	Ȃ
//!
//! @return	Ȃ
extern void eeprom_full_erase(void);

//******************************************************************************

#endif  // _EEPROM_LIB_H_
